# $Revision: 1.7 $, $Date: 2006/12/12 01:13:43 $
Summary:	Helper scripts for setting up a serial connection for use with SynCE
Summary(pl):	Skrypty pomocnicze do nawizywania poczenia szeregowego dla SynCE
Name:		synce-serial
Version:	0.9.1
Release:	3
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	77f8879486469118386fb7429ec5a794
Source1:	synce-device
Patch0:		%{name}-iptables.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains helper scripts for setting up a serial connection
for use with SynCE. They are basically wrappers around pppd.

%description -l pl
Ten modu zawiera skrypty pomocnicze do nawizywania poczenia
szeregowego dla SynCE. S one zasadniczo obudowaniem pppd.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--bindir=%{_sbindir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/ppp/peers
install %{SOURCE1} $RPM_BUILD_ROOT/etc/ppp/peers/synce-device

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README TODO
%attr(755,root,root) %{_sbindir}/synce-serial-abort
%attr(755,root,root) %{_sbindir}/synce-serial-chat
%attr(755,root,root) %{_sbindir}/synce-serial-config
%attr(755,root,root) %{_sbindir}/synce-serial-start
%config(noreplace) %verify(not md5 mtime size) /etc/ppp/peers/synce-device
%{_datadir}/synce
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-serial.spec,v $
Revision 1.7  2006/12/12 01:13:43  glen
- rel 3

Revision 1.6  2006/12/12 00:32:33  glen
- fix iptables path

Revision 1.5  2006/12/12 00:30:27  glen
- these programs require root privs, move to sbin

Revision 1.4  2006/12/12 00:24:22  glen
- install sample ppp peer file, rel 2

Revision 1.3  2006/12/11 21:30:01  glen
- new URL

Revision 1.2  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
